Soporte » Guías – Resolución de problemas » Tras actualizar PHP me aparecen errores

  • Resuelto LaguntzaWeb

    (@laguntzaweb)


    Buenas tardes.

    Tenía que actualizar una web que antes mantenía otra persona y que aún corría con PHP 5.4. Después de actualizárselo al 7.2 la web sigue viéndose normalmente, pero en el backend, me aparecen constantemente estos errores.

    Deprecated: Function create_function() is deprecated in .../contenido/themes/enfold/config-layerslider/LayerSlider/wp/widgets.php on line 4
    
    Warning: Cannot modify header information - headers already sent by (output started at .../contenido/themes/enfold/config-layerslider/LayerSlider/wp/widgets.php:4) in .../wp-includes/functions.php on line 6821
    
    Warning: Cannot modify header information - headers already sent by (output started at .../contenido/themes/enfold/config-layerslider/LayerSlider/wp/widgets.php:4) in .../wp-admin/includes/misc.php on line 1310
    
    Warning: Cannot modify header information - headers already sent by (output started at .../contenido/themes/enfold/config-layerslider/LayerSlider/wp/widgets.php:4) in .../wp-admin/admin-header.php on line 9
    
    Deprecated: contextual_help ha quedado obsoleto desde la versión 3.3.0. Utiliza get_current_screen()->add_help_tab(), get_current_screen()->remove_help_tab() en su lugar. in .../wp-includes/functions.php on line 5691

    Pensando que podría ser de algún plugin, los he desactivado todos, pero siguen los errores. Así que me queda la opción de que se trate del tema Enfold, de hecho, su nombre aparece en esas rutas de los errores.

    ¿Hay alguna manera de solucionarlo que no sea actualizando el tema?

    • Este debate fue modificado hace 8 meses, 3 semanas por LaguntzaWeb.
Viendo 2 respuestas - de la 1 a la 2 (de un total de 2)
  • Moderador Jose Luis

    (@jose64)

    Hola.

    Es evidente que el problema es el tema y tú mismo ya te diste la respuesta, compra la licencia y actualízalo o cambia de tema. Si te da errores con PHP 7.2 (que también está obsoleta) me imagino que estás usando una versión con más de dos años de antigüedad.

    Recuerda marcar el debate como resuelto, así nos ayudas a mantener el foro al día.

    Iniciador del debate LaguntzaWeb

    (@laguntzaweb)

    Bueno, pues he bajado a una versión de PHP más antigua y han desaparecido casi todos los errores. El año que viene diré al propietario de la web que hay que comprar una licencia del tema o rediseñar la web al completo. Muchas gracias.

Viendo 2 respuestas - de la 1 a la 2 (de un total de 2)
  • El debate ‘Tras actualizar PHP me aparecen errores’ está cerrado a nuevas respuestas.